> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /Attributes

> Use the /Attributes endpoint to tell us the data points in your attributes package you want to retrieve.

Use the `/Attributes` endpoint to tell us the data points in your attributes package you want to retrieve.

## Request Parameters

| **NAME**                     | **TYPE** | **DESCRIPTION**                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ---------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| customerId (***mandatory***) | string   | GUID representing your customer ID (provided by Flinks).                                                                                                                                                                                                                                                                                                                                                                                           |
| loginId (***mandatory***)    | string   | GUID representing end user's login ID. You get this value after a successful **Authorize** request.                                                                                                                                                                                                                                                                                                                                                |
| requestId (***mandatory***)  | string   | GUID representing an authorized request to the API. You get this value after a successful **Authorize** request.                                                                                                                                                                                                                                                                                                                                   |
| Attributes (***mandatory***) | object   | Lists of desired Attributes broken-down by Attribute level (**card** is currently the only supported attribute level).                                                                                                                                                                                                                                                                                                                             |
| Filters                      | object   | Filters to apply to transactions for which attributes will be calculated. Supported values: **accountCategory**: List of account categories (Operations is currently the only supported value).                                                                                                                                                                                                                                                    |
| AccountFilter                | object   | Filters to apply to transactions for which attributes will be calculated, differs from the general Filter parameter above, as this targets specific accounts. Supported values: **AccountID**: List of accountID's to be used in the Attributes calculation (AccountID is taken from the `GetAccountsDetail` response). Multiple accountID's can be used.                                                                                          |
| AttributesDetail             | object   | Acts the same as the `Attributes` parameter, but can be used to return underlying transactions from the Attributes calculation. Include lists of desired Attributes (must also be present at the card level above). Supported values: **AttributesDetail**: List of Attributes that underlying transactions need to be returned from.                                                                                                              |
| limitDays                    | object   | Optional Parameter to include in the header of any Attributes request that will limit the amount of days of transactions used to calculate **all** Attributes to the days option passed in this parameter. Supports between 1 and 365 days. Supported values: **limitDays**: Any integer value from 1-365 that defines the amount of days of transactions used in the Attributes calculation (Supported on any GET or POST request to Attributes). |

<Warning>
  <p class="h4">Note on 'Filters' and 'AccountFilter'</p>

  The parameter `AccountFilter` can
  only be used in conjunction with `Filter`. You *must* have both present if you
  need to filter by specific accounts.
</Warning>

<Warning>
  <p class="h4">Note on 'AttributesDetail'</p>

  Only Attributes that are 'Sum' or 'Count' are
  allowed here. 'Average' or other types of Attributes are not supported here.
  Any Attribute name that is included here must also be included in the
  mandatory `Attributes` parameter above.
</Warning>

## Response Fields

| **NAME**                    | **TYPE** | **DESCRIPTION**                                                                                                                                  |
| --------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| Card                        | object   | Object containing an **id** field (end user's LoginId) and all the requested attributes (name: value)                                            |
| Login                       | object   | Object representing some end user's technical information such as the LoginId. See **Authorize** endpoint documentation for this object details. |
| RequestId                   | string   | GUID representing an authorized request to the API. You get this value after a successful **Authorize** request.                                 |
| AttributeDetails (Optional) | object   | Object containing the fields **TransactionId**, **AccountId**, **Date**, **Description**, **Debit**, **Credit** **per Attribute**.               |

<Note>
  <p class="h4">Note on Custom Attributes</p>

  If you are utilizing the `Attributes Builder`
  feature to create custom Attributes within the Client Dashboard, then you are
  able to include your created `Attribute Names` under the `card` object
  alongside any other pre-created Attributes.
</Note>


## OpenAPI

````yaml POST /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}:
    post:
      tags:
        - Enrich
      summary: Attributes
      description: >-
        Use the /Attributes endpoint to tell us the data points in your
        attributes package you want to retrieve.
      operationId: attributes
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment specified in the instance field.
        - name: loginId
          in: path
          required: true
          description: GUID representing end user's login ID.
          schema:
            type: string
        - name: requestId
          in: path
          required: true
          description: GUID representing an authorized request to the API.
          schema:
            type: string
        - name: limitDays
          in: query
          required: false
          description: >-
            (Optional) Includes an integer from 1 to 365 that will limit the
            range of transactions that will be used to calculate Attributes.
          schema:
            type: string
            default: '365'
        - name: Content-Type
          in: header
          required: true
          description: Content type of the request.
          schema:
            type: string
            enum:
              - application/json
            default: application/json
            example: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                Attributes:
                  type: object
                  description: >-
                    Object specifying which attributes to retrieve, grouped by
                    output target.
                  properties:
                    Card:
                      type: array
                      items:
                        type: string
                      description: List of attribute names to return on the Card.
                Filters:
                  type: object
                  description: >-
                    (Optional) Filters applied to the data used for attribute
                    calculation.
                  properties:
                    AccountCategory:
                      type: array
                      items:
                        type: string
                      description: >-
                        List of account categories (Operations is currently the
                        only supported value).
                Options:
                  type: object
                  description: (Optional) Additional calculation options.
                  properties:
                    OriginCountry:
                      type: string
                      description: Origin country of the accounts (e.g. "ca").
                    AccountType:
                      type: string
                      description: Account type to evaluate (e.g. "Personal").
                    AttributesDetail:
                      type: array
                      items:
                        type: string
                      description: >-
                        List of attributes for which the underlying transactions
                        should be returned.
              example:
                Attributes:
                  Card:
                    - account_age_days
                    - active_days_trend
                    - auto_loan_payment_frequency
                    - average_closing_balance_day_after_employer_income
                    - average_closing_balance_day_after_government_income
                    - average_closing_balance_day_after_income
                    - average_closing_balance_day_of_employer_income
                    - average_closing_balance_day_of_government_income
                    - count_telecom_payments_current_month
                Filters:
                  AccountCategory:
                    - Operations
                Options:
                  OriginCountry: ca
                  AccountFilter:
                    - 32a25824-d43a-46f1-8980-22fd6aa95d24
                  AccountType: Personal
                  AttributesDetail:
                    - account_age_days
                    - active_days_trend
                    - auto_loan_payment_frequency
                    - average_closing_balance_day_after_employer_income
                    - average_closing_balance_day_after_government_income
                    - average_closing_balance_day_after_income
                    - average_closing_balance_day_of_employer_income
                    - average_closing_balance_day_of_government_income
                    - count_telecom_payments_current_month
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  MostRecentTransactionDate:
                    type: string
                    description: >-
                      Date of the most recent transaction used in the
                      calculation (MM/DD/YYYY).
                  FlinksAttributesProcessId:
                    type: string
                    description: GUID identifying the attributes calculation process.
                  HttpStatusCode:
                    type: integer
                    description: HTTP status code of the response.
                  Card:
                    type: object
                    description: >-
                      Object containing an Id field (end user's LoginId) and all
                      the requested attributes (name: value), plus optional
                      AttributesDetail.
                    properties:
                      Id:
                        type: string
                        description: GUID representing the end user's LoginId.
                      AttributesDetail:
                        type: array
                        description: Underlying transactions for the requested attributes.
                        items:
                          type: object
                          properties:
                            Attribute:
                              type: string
                              description: >-
                                Name of the attribute the transactions relate
                                to.
                            Transactions:
                              type: array
                              items:
                                type: object
                                properties:
                                  TransactionId:
                                    type: string
                                  AccountId:
                                    type: string
                                  Date:
                                    type: string
                                  Description:
                                    type: string
                                  Debit:
                                    type: number
                                  Credit:
                                    type: number
                                  Balance:
                                    type: number
                      MostRecentTransactionDate:
                        type: string
                        description: >-
                          Date of the most recent transaction used in the
                          calculation (MM/DD/YYYY).
                      Country:
                        type: string
                        description: Origin country of the accounts.
                  ProcessId:
                    type: string
                    description: GUID identifying the request process.
                  Login:
                    type: object
                    description: Object representing end user's technical information.
                    properties:
                      IsScheduledRefresh:
                        type: boolean
                      LastRefresh:
                        type: string
                      Id:
                        type: string
                  RequestId:
                    type: string
                    description: GUID representing an authorized request to the API.
              example:
                MostRecentTransactionDate: 02/19/2026
                FlinksAttributesProcessId: 7206aa18-6c89-4db7-a2ad-f69d6e8e6a72
                HttpStatusCode: 200
                Card:
                  Id: b647eb14-c185-42a6-1b91-08dec54d7ce0
                  account_age_days: 49
                  active_days_trend: 1.14
                  auto_loan_payment_frequency: NONE_DETECTED
                  average_closing_balance_day_after_employer_income: 0
                  average_closing_balance_day_after_government_income: NONE_DETECTED
                  average_closing_balance_day_after_income: 0
                  average_closing_balance_day_of_employer_income: 0
                  average_closing_balance_day_of_government_income: NONE_DETECTED
                  count_telecom_payments_current_month: 3
                  AttributesDetail:
                    - Attribute: count_loan_payments_previous_month
                      Transactions:
                        - TransactionId: e29ae272-6107-4938-90d4-0e2b7216836c
                          AccountId: 38c21b3b-ba28-4f7c-9afb-8b1a81400c12
                          Date: 2026/01/02
                          Description: Pre - Authorized Payment , 736 6TH AVENUE RLS / LOY
                          Debit: 5180.14
                          Balance: 5363.26
                    - Attribute: count_telecom_payments_current_month
                      Transactions:
                        - TransactionId: ddb389f6-2dcc-42e4-a3cf-22f14ef7e44a
                          AccountId: 78f84600-90f3-4404-aa16-c0b5d59e2097
                          Date: 2026/02/11
                          Description: >-
                            SENT ROGERS TOGETHER WITH SHA FOR TELEPHONE / ONLINE
                            BANKING , INTERAC ETRNSFR ACCOUNT 031249
                          Debit: 125.85
                          Balance: 7096.03
                        - TransactionId: a6db5674-a876-4a8c-ab61-f0c99905516b
                          AccountId: 78f84600-90f3-4404-aa16-c0b5d59e2097
                          Date: 2026/02/11
                          Description: Transfer of Funds , ROGERS ( 11 DIGIT BANK PAY
                          Debit: 276.5
                          Balance: 7221.88
                        - TransactionId: 823dea4d-bbea-48d3-98df-dca2d6f970c5
                          AccountId: 78f84600-90f3-4404-aa16-c0b5d59e2097
                          Date: 2026/02/11
                          Description: Transfer of Funds , ROGERS ( 11 DIGIT BANK PAY
                          Debit: 69.68
                          Balance: 7498.38
                  MostRecentTransactionDate: 02/19/2026
                  Country: ca
                ProcessId: f04104bf-4309-4cf0-a04e-18b1b799b2e6
                Login:
                  IsScheduledRefresh: false
                  LastRefresh: '2026-06-01T07:38:03'
                  Id: 5ce21916-1ab1-41f0-a213-6be85220c2e3
                RequestId: 140b896f-a486-4708-98eb-5a9b6c79e81a
        '202':
          description: Operation Pending
          content:
            application/json:
              schema:
                type: object
                properties:
                  FlinksCode:
                    type: string
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  RequestId:
                    type: string

````